"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ShortTandemRepeatReferenceData(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "normal_number_of_repeats_threshold",
        "pathogenic_number_of_repeats_threshold",
        "repeatedSequence",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_3 import reports as reports_6_7_2

        return {
            "org.gel.models.report.avro.ShortTandemRepeatReferenceData": reports_6_7_2.ShortTandemRepeatReferenceData,
        }

    __slots__ = [
        "normal_number_of_repeats_threshold",
        "pathogenic_number_of_repeats_threshold",
        "repeatedSequence",
    ]

    def __init__(
        self,
        normal_number_of_repeats_threshold,
        pathogenic_number_of_repeats_threshold,
        repeatedSequence,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_7_2.ShortTandemRepeatReferenceData model.

        :param normal_number_of_repeats_threshold:
        :type normal_number_of_repeats_threshold: int
        :param pathogenic_number_of_repeats_threshold:
        :type pathogenic_number_of_repeats_threshold: int
        :param repeatedSequence:
        :type repeatedSequence: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.7.2"
